package de.hftstuttgart.modocot.util;

import org.junit.platform.engine.TestDescriptor;
import org.junit.platform.engine.TestExecutionResult;
import org.junit.platform.launcher.TestIdentifier;
import org.junit.platform.launcher.listeners.SummaryGeneratingListener;

import java.util.HashSet;
import java.util.Set;

public class ModocotSummaryGeneratingListener extends SummaryGeneratingListener
{
    protected Set<TestIdentifier> successful = new HashSet<>();

    @Override
    public void executionFinished(TestIdentifier testIdentifier, TestExecutionResult testExecutionResult)
    {
        super.executionFinished(testIdentifier, testExecutionResult);

        if (testExecutionResult.getStatus().equals(TestExecutionResult.Status.SUCCESSFUL)
                && testIdentifier.getType().equals(TestDescriptor.Type.TEST))
        {
            successful.add(testIdentifier);
        }
    }

    public Set<TestIdentifier> getSuccessfulTestidentifiers()
    {
        return successful;
    }
}
